<?php

use Illuminate\Database\Seeder;

class LanguageSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $languages = [
            "Abkhazian",
            "Achinese",
            "Acoli",
            "Adangme",
            "Afar",
            "Afrihili",
            "Afrikaans",
            "Afro-Asiatic (Other)",
            "Akan",
            "Akkadian",
            "Albanian",
            "Aleut",
            "Algonquian languages",
            "Altaic languages",
            "American Sign Language",
            "Amharic",
            "Ancient Hebrew",
            "Apache languages",
            "Arabic",
            "Aramaic",
            "Arapaho",
            "Araucanian",
            "Arawak",
            "Armenian",
            "Artificial(Other)",
            "Assamese",
            "Asturian",
            "Athapascan languages",
            "Austronesian(Other)",
            "Avaric",
            "Avestan",
            "Awadhi",
            "Aymara",
            "Azerbaijani",
            "Baatonum",
            "Balinese",
            "Baltic languages",
            "Baluchi",
            "Bambara",
            "Bamilekelanguages",
            "Banda",
            "Bantu(Other)",
            "Basa",
            "Bashkir",
            "Basque",
            "Beja",
            "Belarusian",
            "Bemba",
            "Bengali",
            "Berber (Other)",
            "Bhojpuri (&amp; Tharu)",
            "Bihari",
            "Bikol",
            "Bini",
            "Bislama",
            "Borana",
            "Bosnian",
            "Brahui",
            "Braj",
            "Breton",
            "Buginese",
            "Bulgarian",
            "Buriat",
            "Burmese",
            "Caddo",
            "Carib",
            "Catalan",
            "Caucasian(Other)",
            "Cebuano (Bisayan)",
            "Celtic(Other)",
            "Central American Indian (Other)",
            "Chagatai",
            "Cham",
            "Chamorro",
            "Chechen",
            "Cherokee",
            "Cheyenne",
            "Chibcha",
            "Chin",
            "Chinese",
            "Chinookjargon",
            "Choctaw",
            "Church Slavonic",
            "Chuukese",
            "Chuvash",
            "Cook Island Maori",
            "Coptic",
            "Cornish",
            "Corsican",
            "Cree",
            "Creek",
            "Creoles &amp; Pidgins (English-based Other)",
            "Creoles &amp; Pidgins (French-based Other)",
            "Creoles &amp; Pidgins (Other)",
            "Creoles &amp; Pidgins (Portuguese-based Other)",
            "Croatian",
            "Cushitic(Other)",
            "Czech",
            "Dagbani",
            "Dakota",
            "Damara",
            "Danish",
            "Dari",
            "Dayak",
            "Delaware",
            "Dida",
            "Dinka",
            "Divehi",
            "Dogri",
            "Dravidian(Other)",
            "Duala",
            "Dutch",
            "Dutch Middle (ca.1050-1350)",
            "Dyula",
            "Dzongkha",
            "Efik",
            "Egyptian(Ancient)",
            "Ekajuk",
            "Elamite",
            "English",
            "English Middle (ca.1100-1500)",
            "English Old (ca.450-1100)",
            "Eskimo(Other)",
            "Esperanto",
            "Estonian",
            "Ewe",
            "Ewondo",
            "Fanagalo",
            "Fang",
            "Fanti (Fante)",
            "Faroese",
            "Farsi (Persian)",
            "Fijian",
            "Finnish",
            "Finno-Ugrian(Other)",
            "Flemish",
            "Fon",
            "Formosan",
            "French",
            "French Middle (ca.1400-1600)",
            "French Old (842-ca.1400)",
            "Frisian",
            "Friulian",
            "Fulah",
            "Fulani",
            "Ga",
            "Gaelic",
            "Galician",
            "Ganda",
            "Gayo",
            "Geez",
            "Georgian",
            "German",
            "Germanic(Other)",
            "German Middle High (ca.1050-1500)",
            "German Old High (ca.750-1050)",
            "Gilbertese",
            "Gondi",
            "Gothic",
            "Grebo",
            "Greek",
            "Greek (Ancient)",
            "Greenlandic / Kalaallisut",
            "Guarani",
            "Gujarati",
            "Haida",
            "Haitian-Creole",
            "Hausa",
            "Hawaiian",
            "Hebrew",
            "Herero",
            "Hiligaynon",
            "Himachali",
            "Hindi",
            "HiriMotu",
            "Hmong",
            "Hungarian",
            "Hupa",
            "I-kiribati",
            "Iban",
            "Icelandic",
            "Igbo",
            "Ijo",
            "Iloko",
            "Indic(Other)",
            "Indo-European(Other)",
            "Indonesian",
            "Ingush",
            "Interlingua",
            "Interlingue",
            "Inuktitut",
            "Inupiak",
            "Iranian(Other)",
            "Irish",
            "Irish Middle (900-1200)",
            "Irish Old (to 900)",
            "Iroquoian Languages",
            "Italian",
            "Izon",
            "Japanese",
            "Javanese",
            "Judeo-Arabic",
            "Judeo-Persian",
            "K'iche'",
            "Kabyle",
            "Kachin",
            "Kadazan",
            "Kalabari",
            "Kalenjin ",
            "Kalmyk-Oirat",
            "Kamba",
            "Kannada",
            "Kanuri",
            "Kara-Kalpak",
            "Karen",
            "Kashmiri",
            "Kashubian",
            "Kawi",
            "Kayah",
            "Kazakh",
            "Khasi",
            "Khmer (Central)",
            "Khoisan(Other)",
            "Khotanese",
            "Kikuyu",
            "Kinyarwanda",
            "Kirghiz",
            "Kisii",
            "Klingon",
            "Komi",
            "Kongo",
            "Konkani",
            "Korean",
            "Kosraean",
            "Kpelle",
            "Krio",
            "Kru",
            "Kuanyama",
            "Kumyk",
            "Kurdish",
            "Kurukh",
            "Kusaie",
            "Kutenai",
            "Ladino",
            "Lahnda",
            "Lamba",
            "Lao",
            "Latin",
            "Latvian",
            "Letzeburgesch",
            "Lezghian",
            "Lingala",
            "Lithuanian",
            "Loma",
            "Lozi",
            "Luba-Katanga",
            "Luhya",
            "Luiseno",
            "Lunda",
            "Luo (Kenya,Tanzania)",
            "Lushai (Mizo)",
            "Maay Maay",
            "Macedonian",
            "Madurese",
            "Magahi",
            "Maithili",
            "Makasar",
            "Malagasy",
            "Malay",
            "Malayalam",
            "Maltese",
            "Mam",
            "Manado Malay",
            "Mandingo",
            "Manipuri",
            "Manobolanguages",
            "Manx",
            "Maori",
            "Marathi",
            "Mari",
            "Marshallese",
            "Marwari",
            "Masai",
            "Mayanlanguages",
            "Mbundu",
            "Mende",
            "Meo",
            "Meru",
            "Miao",
            "Micmac",
            "Minangkabau",
            "Mixteco",
            "Mohawk",
            "Moldavian",
            "Mon-Khmer(Other)",
            "Mongo",
            "Mongolian",
            "Montenegrin",
            "Mordvinian",
            "Mossi",
            "Multiplelanguages",
            "Mundalanguages",
            "Muong",
            "Nahuatl (Aztec)",
            "Nauru",
            "Navajo",
            "NdebeleNorth",
            "NdebeleSouth",
            "Ndongo",
            "Nepali",
            "Newari",
            "Niger-Kordofanian(Other)",
            "Nigerian",
            "Nilo-Saharan(Other)",
            "Niuean",
            "Norse",
            "NorthAmericanIndian(Other)",
            "Norwegian",
            "Norwegian (Bokmal)",
            "Norwegian (Nynorsk)",
            "Nubianlanguages",
            "Nyamwezi",
            "Nyanja",
            "Nyankole",
            "Nyoro",
            "Nzima",
            "Occitan / Langued'Oc",
            "Ojibwe",
            "Oriya",
            "Oromo",
            "Osage",
            "Ossetic",
            "Otomianlanguages",
            "Ottoman",
            "Ovambo",
            "Pahlavi",
            "Palauan",
            "Pali",
            "Pampanga",
            "Pangasinan",
            "Panjabi",
            "Papiamento",
            "Papuan-Australian(Other)",
            "Pashto (Pushto)",
            "Persian (Farsi)",
            "PersianOld(ca600-400B.C.)",
            "Phoenician",
            "Pohnpeian",
            "Polish",
            "Portuguese",
            "Prakritlanguages",
            "ProvencalOld(to1500)",
            "Q'eqchi' / Kekchi",
            "Quechua",
            "Rajasthani",
            "Rarotongan",
            "Rhaeto-Rom (Romansch)",
            "Romance(Other)",
            "Romanian",
            "Romany",
            "Rundi",
            "Russian",
            "Salishanlanguages",
            "SamaritanAramaic",
            "Samilanguages",
            "Samoan",
            "Sandawe",
            "Sango",
            "Sanskrit",
            "Sardinian",
            "Scots",
            "Scottish Gaelic",
            "Selkup",
            "Semitic(Other)",
            "Serbian",
            "Serbo-Croat",
            "Serer",
            "Shan",
            "Shona",
            "Sicilian",
            "Sidamo",
            "Sign Language",
            "Siksika",
            "Simple English",
            "Sindhi",
            "Sinhala (Sinhalese)",
            "Sino-Tibetan",
            "Siouanlanguages",
            "Siswant",
            "SiSwati (Swazi)",
            "Slavic(Other)",
            "Slovak",
            "Slovenian",
            "Sogdian",
            "Somali",
            "Somba",
            "Songhai",
            "Sorbian",
            "SothoNorthern",
            "SouthAmericanIndian(Other)",
            "Southern Sotho / Sesotho",
            "Spanish",
            "Sukuma",
            "Sumerian",
            "Sundanese",
            "Susu",
            "Swahili",
            "Swedish",
            "Sylheti",
            "Syriac",
            "Tagalog",
            "Tahitian",
            "Tajik",
            "Tamang",
            "Tamashek",
            "Tamil",
            "Tatar",
            "Telugu",
            "Tereno",
            "Tetum",
            "Thai",
            "Tibetan",
            "Tigre",
            "Tigrinya",
            "Timne",
            "Tivi",
            "Tlingit",
            "Tok Pisin",
            "Tonga (Nya)",
            "Tonga(TongaIslands)",
            "Truk",
            "Tsimshian",
            "Tsonga",
            "Tswana",
            "Tumbuka",
            "Turkish",
            "Turkmen",
            "Tuvaluan",
            "Tuvinian",
            "Twi",
            "Ugaritic",
            "Uighur",
            "Ukrainian",
            "Ulithian",
            "Umbundu",
            "Urdu",
            "Uzbek",
            "Vai",
            "Valencia",
            "Venda",
            "Vietnamese",
            "Volapük",
            "Votic",
            "Wakashanlanguages",
            "Walamo",
            "Waray",
            "Washo",
            "Welsh",
            "Woleaian",
            "Wolof",
            "Xhosa",
            "Yakut",
            "Yao",
            "Yapese",
            "Yi",
            "Yiddish",
            "Yoruba",
            "Zapotec",
            "Zenaga",
            "Zhuang (Chuang)",
            "Zulu",
            "Zuni"
        ];

        foreach ($languages as $language) {
            \App\Language::query()->insert([
                'name' => $language
            ]);
        }
    }
}
